import { IJupyterWidgetRegistry } from '@jupyter-widgets/base';
import { MODULE_VERSION, MODULE_NAME } from './version';
const EXTENSION_ID = 'matplotlib-jupyter:main';
/**
 * The plugin.
 */
const jupyterMatplotlibPlugin = {
    id: EXTENSION_ID,
    requires: [IJupyterWidgetRegistry],
    activate: activateWidgetExtension,
    autoStart: true,
};
// the "as unknown as ..." typecast above is solely to support JupyterLab 1
// and 2 in the same codebase and should be removed when we migrate to Lumino.
export default jupyterMatplotlibPlugin;
/**
 * Activate the widget extension.
 */
function activateWidgetExtension(app, registry) {
    registry.registerWidget({
        name: MODULE_NAME,
        version: MODULE_VERSION,
        exports: () => import('./index'),
    });
}
//# sourceMappingURL=plugin.js.map